Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CStockage.channelAction.classic.sharing
Class SharedSpaceProperties

    java.lang.Object
      org.esupportail.portal.channels.CStockage.channelAction.classic.sharing.SharedSpaceProperties

public class SharedSpaceProperties
extends java.lang.Object

Id: SharedSpaceProperties.java,v 1.0 15 avr. 2005 Copyright (c) 2005 Esup Portail (www.esup-portail.org) Classes: SharedSpaceProperties Original Author: Yohan Colmant

Field Summary
`private java.lang.String` | `fromKey` The person who shared
`private GroupForPersonalization` | `group` The group if shared for a group
`private boolean` | `sharedForUser` If shared for a user or a group
`private UserForPersonalization` | `user` The user if shared for a user

Constructor Summary
`SharedSpaceProperties()` CONSTRUCTOR

Method Summary
`java.lang.Object` | `clone()` Clone this object to another similary one
`java.lang.String` | `getDisplayName()`
`java.lang.String` | `getFromKey()`
`GroupForPersonalization` | `getGroup()`
`java.lang.String` | `getIdOfSharing()`
`UserForPersonalization` | `getUser()`
`boolean` | `isObliged()`
`boolean` | `isReading()`
`boolean` | `isSharedForUser()`
`boolean` | `isSharing()`
`boolean` | `isWriting()`
`void` | `setFromKey(java.lang.String fromKey)`
`void` | `setGroup(GroupForPersonalization group)`
`void` | `setSharedForUser(boolean sharedForUser)`
`void` | `setUser(UserForPersonalization user)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fromKey

    private java.lang.String fromKey

  The person who shared

### user

    private UserForPersonalization user

  The user if shared for a user

### group

    private GroupForPersonalization group

  The group if shared for a group

### sharedForUser

    private boolean sharedForUser

  If shared for a user or a group

Constructor Detail

### SharedSpaceProperties

    public SharedSpaceProperties()

  CONSTRUCTOR

Method Detail

### getFromKey

    public java.lang.String getFromKey()

  Returns:
    Returns the fromKey.

### setFromKey

    public void setFromKey(java.lang.String fromKey)

  Parameters:
    `fromKey` - The fromKey to set.

### getGroup

    public GroupForPersonalization getGroup()

  Returns:
    Returns the group.

### setGroup

    public void setGroup(GroupForPersonalization group)

  Parameters:
    `group` - The group to set.

### isSharedForUser

    public boolean isSharedForUser()

  Returns:
    Returns the sharedForUser.

### setSharedForUser

    public void setSharedForUser(boolean sharedForUser)

  Parameters:
    `sharedForUser` - The sharedForUser to set.

### getUser

    public UserForPersonalization getUser()

  Returns:
    Returns the user.

### setUser

    public void setUser(UserForPersonalization user)

  Parameters:
    `user` - The user to set.

### isReading

    public boolean isReading()

  Returns:
    Returns the reading.

### isWriting

    public boolean isWriting()

  Returns:
    Returns the writing.

### isSharing

    public boolean isSharing()

  Returns:
    Returns the sharing.

### isObliged

    public boolean isObliged()

  Returns:
    Returns the obliged.

### getIdOfSharing

    public java.lang.String getIdOfSharing()

  Returns:
    Returns the idOfSharing.

### getDisplayName

    public java.lang.String getDisplayName()

  Returns:
    Returns the displayName.

### clone

    public java.lang.Object clone()

  Clone this object to another similary one

  Returns:
    this cloned object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD